#!/usr/bin/env python

# Name: 	sbig_dev_install.py
# Version: 	1.1

# This script installs all the necessary files so, that the dynamically 
# plugged SBIG USB CCD cameras should run under Linux kernels >= 2.6.13.
#
# Author:
# Jan Soldan (jsoldan@asu.cas.cz)

# History:
# 2006-08-23 - move all firmware files to the /lib/firmware directory (JS)
# 2006-08-20 - the version 1.0 released. (JS)
#====================================================================
import sys, os, shutil

# 1. Copy libsbigudrv.so and its modes to the /usr/local/lib directory:
dirName = "/usr/local/lib/"
fileName = "libsbigudrv.so"
shutil.copyfile(fileName, dirName + fileName)
shutil.copymode(fileName, dirName + fileName)

# 2. Copy 10-sbig.rules file to the /etc/udev/rules.d directory:
dirName = "/etc/udev/rules.d/"
fileName = "10-sbig.rules"
shutil.copyfile(fileName, dirName + fileName)

# 3. Copy *.hex, *.bin and sbig_dev_permission.py files to the /lib/firmware directory.
bdir = 0;
filenames  = os.listdir("/lib")
for filename in filenames:
	if filename == "firmware":
  		bdir = 1

dirName = "/lib/firmware/"
if bdir == 0:
		os.mkdir(dirName)

fileName = 	"sbigfcam.hex"
shutil.copyfile(fileName, dirName + fileName)
fileName = "sbiglcam.hex"
shutil.copyfile(fileName, dirName + fileName)
fileName = "sbigucam.hex"
shutil.copyfile(fileName, dirName + fileName)
fileName = "stfga.bin"
shutil.copyfile(fileName, dirName + fileName)
fileName = "sbig_dev_permission.py"
shutil.copyfile(fileName, dirName + fileName)
shutil.copymode(fileName, dirName + fileName)

print "SBIG Linux device installation should be ok..."		
#====================================================================
	
